package com.caimei.module.base.entity.enumerate;

/**
 * @author zcp
 * @date 2018/5/9
 * @time 18:27
 * @description:用户身份
 **/
public enum UserPermission {

    VISITOR(0, "游客权限"),
    NORMAL(1, "普通用户权限"),
    CLUB(2, "机构权限"),
    SHOP(3, "供应商权限"),
    MAKER(4, "协销权限");

    private int code;
    private String desc;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    UserPermission(int code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static boolean isVisitor(int userPermission) {
        return userPermission == UserPermission.VISITOR.getCode();
    }
    /**
     * 个人用户
     */
    public static boolean isNormal(int userPermission) {
        return userPermission == UserPermission.NORMAL.getCode();
    }

    /**
     * 协销
     */
    public static boolean isMaker(int userPermission) {
        return userPermission == UserPermission.MAKER.getCode();
    }

    /**
     * 机构
     */
    public static boolean isClub(int userPermission) {
        return userPermission == UserPermission.CLUB.getCode();
    }

    /**
     * 供应商
     */
    public static boolean isShop(int userPermission) {
        return userPermission == UserPermission.SHOP.getCode();
    }

    /**
     * 真正购买只有普通用户和机构
     * @param userPermission
     * @return
     */
    public static boolean canBuy(int userPermission){
        return userPermission == UserPermission.CLUB.getCode() || userPermission == UserPermission.NORMAL.getCode();
    }

    /**
     * 协销可帮机构下单
     * @param userPermission
     * @return
     */
    public static boolean canSubmit(int userPermission){
        return userPermission == UserPermission.CLUB.getCode() || userPermission == UserPermission.NORMAL.getCode() ||userPermission == UserPermission.MAKER.getCode();
    }

    //展示VIP价格
    public static boolean isVipPrice(int userPermission){
        return userPermission == UserPermission.CLUB.getCode() || userPermission == UserPermission.MAKER.getCode();
    }

    //不可以购买
    public static boolean canNotBuy(int userPermission){
       return userPermission == UserPermission.SHOP.getCode() ||userPermission == UserPermission.MAKER.getCode();
    }

}
