package com.caimei.module.base.entity.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * user
 *
 * @author
 */
@Data
public class User implements Serializable {
    private Integer userID;

    /**
     * 采美组织默认为null,具体对应cm_mall_organize表ID
     */
    private Integer userOrganizeID;

    /**
     * 企业账号名
     */
    private String account;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 企业绑定手机号
     */
    private String bindMobile;

    /**
     * 用户权限 0游客 1 普通用户 2 会员机构 3 供应商 4 协销 5 普通机构
     */
    private Integer userPermission;

    /**
     * 用户身份 0、个人 1、协销 2、会员机构 3、供应商 4,普通机构
     */
    private Integer userIdentity;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 注册来源: 0网站 1小程序
     */
    private String source;

    /**
     * 头像
     */
    private String image;

    /**
     * 密码
     */
    private String password;

    /**
     * 见枚举UserType(1供应商,2协销经理,32协销,3会员机构,4普通机构)
     */
    private Integer userLevelID;

    /**
     * 组织名称
     */
    private String name;

    /**
     * 昵称
     */
    private String nick;

    /**
     * 【V2021已废弃】性别
     */
    private String sex;

    /**
     * 用户类型，见表c_usertype或枚举UserType
     */
    private Integer registerUserTypeID;

    /**
     * 所属企业用户对应UserID
     */
    private Integer companyUserID;

    /**
     * 微信openID
     */
    private String openID;

    /**
     * 【已废弃】是否是供应商，1是 空或0否
     */
    private String manufacturerFlag;

    /**
     * 供应商状态，见表c_shopstatus或枚举ShopStatus
     */
    private Integer manufacturerStatus;

    /**
     * 供应商Id
     */
    private Integer shopID;

    /**
     * 【已废弃】是否创客，1是 空或0否
     */
    private String serviceProviderFlag;

    /**
     * 【已废弃】是否会所，1是 空或0否
     */
    private String clubFlag;

    /**
     * 【已废弃】达人标志
     */
    private String masterFlag;

    /**
     * 【已废弃】
     */
    private String normalFlag;

    /**
     * 审核状态,0 待审 1 审核通过 2 审核不通过
     */
    private String auditStatus;

    /**
     * 审核时间
     */
    private String auditTime;

    /**
     * 审核备注
     */
    private String auditNote;

    /**
     * 注册时间
     */
    private String registerTime;

    /**
     * 注册ip
     */
    private String registerIP;

    /**
     * 登录时间
     */
    private String loginTime;

    /**
     * 登录ip
     */
    private String loginIP;

    /**
     * 用户状态，1正常，0冻结
     */
    private String validFlag;

    private String emailCheckFlag;

    private String mobileCheckFlag;

    /**
     * 会所状态，见表c_clubstatus或枚举ClubStatus
     */
    private Integer clubStatus;

    /**
     * 会所Id
     */
    private Integer clubID;

    /**
     * 同意协议标志
     */
    private String agreeFlag;

    /**
     * 【已废弃】
     */
    private String activationCode;

    /**
     * 【已废弃】
     */
    private String activationDate;

    /**
     * 创客状态
     */
    private Integer serviceProviderStatus;

    /**
     * 创客Id
     */
    private Integer serviceProviderID;

    /**
     * 【已废弃】达人状态
     */
    private Integer masterStatus;

    /**
     * 【已废弃】达人ID
     */
    private Integer masterID;

    /**
     * 账户余额
     */
    private BigDecimal userMoney;

    /**
     * 账户实际可用余额（提交订单未支付的被抵扣后的余额）
     */
    private BigDecimal ableUserMoney;

    /**
     * 积分
     */
    private Integer point;

    /**
     * 开通ERP标志
     */
    private String shopERPFlag;

    /**
     * 邀请人Id
     */
    private Integer fromUserID;

    /**
     * 邀请人名称
     */
    private String fromUserName;

    /**
     * 退出时间
     */
    private String logoffTime;

    private String appKey;

    private String appSecret;

    /**
     * 【已废弃】
     */
    private String sampleFlag;

    /**
     * 扫描标志(4 CRM拉上来的会所) 0待扫描 1 已扫描 2已上线
     */
    private Integer scanFlag;

    /**
     * 【已废弃】
     */
    private Integer sysroleid;

    /**
     * 【已废弃】
     */
    private String gender;

    /**
     * 【V2021已废弃】年龄
     */
    private Integer age;

    /**
     * 【V2021已废弃】
     */
    private String salerbuyer;

    /**
     * 【V2021已废弃】
     */
    private String position;

    /**
     * 【V2021已废弃】
     */
    private String skill;

    /**
     * 【V2021已废弃】
     */
    private BigDecimal workage;

    /**
     * 【V2021已废弃】微信号
     */
    private String wechat;

    /**
     * 【V2021已废弃】QQ号
     */
    private String qq;

    /**
     * 【V2021已废弃】短信是否发送成功
     */
    private String smsFlag;

    /**
     * 【V2021已废弃】采美豆数量
     */
    private Integer userBeans;

    /**
     * 【已废弃】平台商标志位0非平台商 1平台商
     */
    private Integer privateShopFlag;

    /**
     * 【已废弃】平台会所标志位0非平台会所 1平台会所
     */
    private Integer privateClubFlag;

    /**
     * 【V2021已废弃】是否创客授权
     */
    private Integer isMeiDaoAuthorized;

    /**
     * 是否已经引导过(供应商首次登陆操作引导)
     */
    private Integer guideFlag;

    private Integer loginFailTime;

    /**
     * 【V2021已废弃】用户申请加入企业的时间
     */
    private String applyTime;

    private String tipStatus;

    private Integer upgradeBy;

    private String miniProgramId;

    private String miniProgramOpenId;

    private static final long serialVersionUID = 1L;
}
